Comments on a post
const url = 'https://api.gampeon.com/v1/posts/1/comments?limit=20';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.gampeon.com/v1/posts/1/comments?limit=20'Top-level comments: newest page first (before), each page in reading order (oldest first). Replies (parent): oldest first, continue with after. Without blocked accounts; removed comments only for their author.
Not available with access tokens.
Authorizations
Section titled “Authorizations”- None
- session
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Post ID
Query Parameters
Section titled “Query Parameters”Top-level comment ID: list its replies
Top-level comments: next from the previous page
Replies: next from the previous page
Page size, 1 to 50 (default 20)
Responses
Section titled “Responses”Comments
object
All visible comments and replies
object
Plain text, up to 1,000 characters. Can be empty if there is a GIF
Unix time in milliseconds
Mentioned handles that exist (@handle in the text)
object
All reactions together
Up to three most frequent reactions, most frequent first (for the icons)
Number per reaction, only reactions that occur
object
Replies (top-level comments only)
You wrote it or manage the post
Example
{ "comments": [ { "reactions": { "top": [ "like" ] }, "myReaction": "like" } ]}Error codes: token_not_allowed
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}Error codes: not_found
object
Machine-readable error code, for example not_found or rate_limited.
Human-readable detail. Only present for some errors.
Example generated
{ "error": "example", "message": "example"}